Tool: get_product_suite
Retrieves details of a specific ProductSuite, which is a high-level grouping of logical products under a common brand (e.g., Google Cloud Platform). This tool should be invoked when you need to fetch information about a specific product suite, using its unique name in the format of productSuites/{product_suite_id}.
The following code sample shows how to use curl to call the get_product_suite MCP tool.
| Curl Request |
|---|
curl --location 'https://cloudproductregistry.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_product_suite", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for GetProductSuite.
GetProductSuiteRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the ProductSuite to retrieve. Format: productSuites/{product_suite} |
Output Schema
Represents a unified grouping of products sharing a common brand and market positioning.
ProductSuite
| JSON representation |
|---|
{ "name": string, "title": string, "logicalProducts": [ string ], "replaced": boolean, "replacement": string } |
| Fields | |
|---|---|
name |
Identifier. The resource name of the ProductSuite. Format: productSuites/{product_suite} |
title |
Title of the ProductSuite. |
logicalProducts[] |
Output only. LogicalProducts under this suite. Format: logicalProducts/{logical_product} |
replaced |
Output only. Indicates whether the product suite has been replaced. If |
replacement |
Output only. The resource name of the Logical Entity that the product suite is replaced by. This field is only populated when this product suite is replaced by some other type. Eg: logicalProducts/{logical_product}, logicalProducts/{logical_product}/variants/{variant}, etc. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌